Trading

trade-accountBalance

Retrieve the trading account balance.

GET
/api/v3/trading/accountBalance

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The format of the request body content. Primarily application/json.

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system will default to en

Query Parameters

clientIdstringoptional

The 6-digit account that identifies the customer at SSI. If the account number is 003C123888 then clientId = 123888

accountNostringrequired

The trading account for which to retrieve the balance.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit within the cycle.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current cycle.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/trading/accountBalance?accountNo=string" \  -H "Content-Type: application/json"

Success

{
  "equity": [
    {
      "accountNo": "string",
      "accountBalance": 0.1,
      "totalDebt": 0.1,
      "interestLoan": 0.1,
      "overdueFeeLoan": 0.1,
      "withdrawable": 0.1,
      "onHoldCash": 0.1,
      "sellUnmatched": 0.1,
      "sellT0": 0.1,
      "sellT1": 0.1,
      "sellT2": 0.1,
      "buyUnmatched": 0.1,
      "buyT0": 0.1,
      "buyT1": 0.1,
      "buyT2": 0.1,
      "advancedCashT0": 0.1,
      "advancedCashT1": 0.1,
      "holdSubscription": 0.1,
      "dividend": 0.1
    }
  ],
  "derivatives": [
    {
      "accountNo": "string",
      "accountBalance": 0.1,
      "fee": 0.1,
      "commission": 0.1,
      "interest": 0.1,
      "extInterest": 0.1,
      "loan": 0.1,
      "deliveryAmount": 0.1,
      "floatingPL": 0.1,
      "tradingPL": 0.1,
      "totalPL": 0.1,
      "withdrawable": 0.1,
      "cashSSI": 0.1,
      "validNonCashSSI": 0.1,
      "withdrawableSSI": 0.1,
      "cashVSDC": 0.1,
      "validNonCashVSDC": 0.1,
      "withdrawableVSDC": 0.1,
      "additionalProperties": false
    }
  ]
}

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}